/* Updated CSS with sprite image integration */


.ic, .icon{
    display: block;
    box-sizing: border-box;
}
.ic-x-teal, .ic-down, .icon-down, .ic-os-grey, .ic-ssd-grey, .ic-weight-grey, .ic-graphics-grey, .ic-true-teal, .ic-false-red, .ic-filter, .ic-down, .ic-mobile-teal, .ic-tab-teal, .ic-laptop-teal, .ic-rear-camera, .ic-front-camera, .ic-date, .ic-battery, .ic-ram, .ic-cpu, .ic-display, .icon-insta-teal, .icon-facebook-teal, .icon-youtube-teal, .icon-twitter-teal, .icon-star-full-yellow, .icon-cpu-teal, .icon-battery-teal, .icon-display-teal, .icon-share-teal, .icon-arrow-black, .ic-arrow-grey, .ic-rupee-teal, .ic-home-teal, .ic-camera-teal, .ic-wearables-teal, .ic-tv-teal, .ic-audio-teal, .ic-explore-teal, .ic-compare-teal, .ic-news-teal, .icon-search, .icon-menu, .ic-display-laptop {
    background: url('../images/icons/css-sprites.png') no-repeat;
}
.ic-x-teal, .icon-insta-teal, .icon-facebook-teal, .icon-youtube-teal{
    height: 40px;
    width: 40px;
    background-size: 1200%;
}

.ic-down, .icon-down{
    background-size: 2200%;
}

.ic-display, .ic-cpu, .ic-rear-camera, .ic-front-camera, .ic-battery, .ic-date, .ic-ram, .ic-os-grey, .ic-ssd-grey, .ic-weight-grey, .ic-graphics-grey, .ic-display-laptop{
    height:37px;
    width:37px;
    background-size:1400%;
}

.ic-home-teal, .ic-news-teal, .ic-compare-teal, .ic-explore-teal, .ic-mobile-teal, .ic-tab-teal, .ic-laptop-teal{
    height:50px;
    width:50px;
    background-size: 1200%;
}

.icon-menu, .icon-search{
    height: 50px;
    width: 50px;
}

.ic-battery { background-position: -224px -186px; }
.ic-ram { background-position: -36px -75px; }
.ic-cpu { background-position: -149px -225px; }
.ic-display { background-position: -224px -225px; }
.ic-rear-camera { background-position: -37px -225px; }
.ic-front-camera { background-position: -149px -75px;}
.ic-date { background-position: -187px -225px; }
.ic-os-grey { background-position: -261px -111px; }
.ic-ssd-grey { background-position: -262px -148px; }
.ic-weight-grey { background-position: -261px -74px; }
.ic-graphics-grey { background-position: -2394px -3294px; }
.ic-true-teal { width: 20px; height: 20px; background-position: -6883px -1689px; }
.ic-false-red { width: 20px; height: 20px; background-position: -6717px -1689px; }
.ic-filter { width: 32px; height: 32px; background-position: -10px -10px; }
.ic-down, .icon-down { width: 23px; height: 23px; background-position: -42px -116px; transition: 200ms; position: absolute; margin-left: 30px; margin-top: 12px; right: 42%; }
.ic-mobile-teal { background-position: -39px -170px; }
.ic-tab-teal { background-position: -127px -40px; }
.ic-laptop-teal { background-position: -84px -170px; }
.ic-display-laptop { background-position: -262px -188px; }



/* Social Media Icons */
.icon-insta-teal { background-position: -206px -101px; }
.icon-facebook-teal { background-position: -32px -171px; }
.icon-youtube-teal { background-position: 4px -66px; }
.ic-x-teal { background-position: 3px -101px; }
.icon-twitter-teal { width: 40px; height: 40px; background-position: -7257px -2245px; }
.icon-star-full-yellow { width: 40px; height: 40px;; background-position: -7077px -1855px; }

/* Misc Icons */
.icon-cpu-teal { width: 50px; height: 50px; background-position: -7051px -2335px; }
.icon-battery-teal { width: 100px; height: 100px; background-position: -6837px -1855px; }
.icon-display-teal { width: 100px; height: 100px; background-position: -6957px -1855px; }
.icon-share-teal { width: 36px; height: 36px; background-position: -44px -3px; background-size: 1500%; }
.icon-arrow-black { width: 24px; height: 24px; background-position: -7049px -1809px; }
.ic-arrow-grey { height:35px; width:35px; background-size:1700%; background-position: -264px -176px; }
.ic-rupee-teal { width: 70px; height: 70px; background-position: -6717px -2335px; }
.ic-home-teal { background-position: -171px -127px; }
.ic-camera-teal { width: 70px; height: 70px; background-position: -6807px -1975px; }
.ic-wearables-teal { width: 70px; height: 70px; background-position: -7257px -2155px; }
.ic-tv-teal { width: 70px; height: 70px; background-position: -6717px -2245px; }
.ic-audio-teal { width: 50px; height: 50px; background-position: -6981px -2335px; }
.ic-explore-teal { background-position: -301px -40px; }
.ic-compare-teal { background-position: -128px -255px; }
.ic-news-teal { background-position: -171px -214px; }
.icon-search { background-size: 1300%; background-position: -93px -139px; }
.icon-menu { background-size: 1600%; background-position: -61px -178px; transition: 430ms; }
